Since last week I cannot upgrade wget2; gnutls-dane fails

DoneSubmitted by Jorge P. de Morais Neto.
Details
2 participants
  • Jorge P. de Morais Neto
  • Tobias Geerinckx-Rice
Owner
unassigned
Severity
normal
Merged with
J
J
Jorge P. de Morais Neto wrote on 30 Nov 2020 17:18
(address . bug-guix@gnu.org)
875z5mddhu.fsf@disroot.org
Hi. Beginning last week (I don't recall precisely which day), when I
issue `guix upgrade', Guix wants to upgrade wget2, saying "(dependencies
or package changed)"; however, the upgrade fails because the test suite
of gnutls-dane fails. I have attached the build log. Note that I
recompressed the build log with xz, making it slightly smaller than with
bzip2.

I use Guix on an updated Debian buster with many packages from
backports, including the kernel---my kernel is:

$ uname -a
Linux jorge--inspiron-5570 5.8.0-0.bpo.2-amd64 #1 SMP Debian 5.8.10-1~bpo10+1 (2020-09-26) x86_64 GNU/Linux
Regards

--
- If an email of mine arrives at your spam box, please notify me.
- Please adopt free/libre formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
- Free/libre software for Replicant, LineageOS and Android: https://f-droid.org
T
T
Tobias Geerinckx-Rice wrote on 30 Nov 2020 18:02
(name . Jorge P. de Morais Neto)(address . jorge+list@disroot.org)
87czzuydzh.fsf@nckx
Jorge P. de Morais Neto via Bug reports for GNU Guix 写道:
Toggle quote (5 lines)
> Guix wants to upgrade wget2, saying "(dependencies
> or package changed)"; however, the upgrade fails because the
> test suite
> of gnutls-dane fails.

Thanks for the report! This is the same error as #44914 so I've
merged the two:

FAIL: status-request-revoked
============================

trying NORMAL:-VERS-ALL:+VERS-TLS1.2
received status request
received status request
cert_verify_callback:263: certificate verify status doesn't match:
100402 != 22FAIL status-request-revoked (exit status: 1)

Kind regards,

T G-R
-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCX8Ulsg0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15oncA/A5AC9KZ/egaCvS92MNaWroiOIKRsXv+1k2lyCPk
8tGPAP4mYv1MCg3vYExyPErNLD3fJziPLIz94A3SMpRW9Nq1AA==
=izUP
-----END PGP SIGNATURE-----

T
T
Tobias Geerinckx-Rice wrote on 30 Nov 2020 18:02
(no subject)
(address . control@debbugs.gnu.org)
87ft4qye01.fsf@nckx
merge 44914 44964
J
J
Jorge P. de Morais Neto wrote on 30 Nov 2020 18:17
Re: bug#44964: Since last week I cannot upgrade wget2; gnutls-dane fails
(name . Tobias Geerinckx-Rice)(address . me@tobias.gr)
877dq2ahnz.fsf@disroot.org
Em [2020-11-30 seg 18:02:42+0100], Tobias Geerinckx-Rice escreveu:

Toggle quote (3 lines)
> Thanks for the report! This is the same error as #44914 so I've
> merged the two:

I'm sorry for the noise. I did search the mailing list before reporting
my bug, but, in hindsight, I should have also searched the bug
database. Anyway, thank you for contributing to GNU!

Regards

--
- If an email of mine arrives at your spam box, please notify me.
- Please adopt free/libre formats like PDF, ODF, Org, LaTeX, Opus, WebM and 7z.
- Free/libre software for Replicant, LineageOS and Android: https://f-droid.org
?
Your comment

This issue is archived.

To comment on this conversation send email to 44964@debbugs.gnu.org